% In questo M-file si definisce la funzione ottenuta applicando i MQP per
% il modello linearizzato alla Michaelis-Menten:
%
%       rlin = a + b*clin
%
% dove:
%   rlin = 1/r
%   clin = 1/c
%   a = 1/theta1
%   b = theta2/theta1
% essendo:
%   r = velocit di reazione misurata
%   c = concentrazione
%   theta1, theta2 = parametri del modello cientico
%
function f = michMenLin(c)
x = [0.02, 0.06, 0.11, 0.22, 0.56, 1.1];
y = [76, 107, 139, 159, 201, 207];
a = c(1);
b = c(2);
% Definizione di clin e rlin
clin = 1./x;
rlin = 1./y;
% Definizione dei pesi
w = 1./(y.^4);
% Definizione della funzione dai MQP
f = sum(((rlin - a - b*clin).^2)./w);