% In questo M-file si definisce la funzione ottenuta applicando la MV per
% il modello non lineare alla Michaelis-Menten:
%
%       r = theta1*c/(theta2 + c)
%
% dove:
%   r = velocit di reazione misurata
%   c = concentrazione
%   theta1, theta2 = parametri del modello cientico
%
function L = michMenNL(c)
x = [0.02, 0.06, 0.11, 0.22, 0.56, 1.1];
y = [76, 107, 139, 159, 201, 207];
theta1 = c(1);
theta2 = c(2);
% Definizione della funzione dalla MV (dopo aver applicato il logaritmo)
L = -sum((y - theta1*x./(theta2 + x)).^2);
L = -L;