% In questo M-file si definisce la funzione Massima Verosimiglianza per il 
% seguente modello non lineare:
%
%       y = k*x - k^2*x^2
%
% dove k  il parametro e x ed y sono condizioni sperimentali e risultati
% degli esperimenti (entrambi noti).
%
function L = modelloNL(c)
x = [0.9, 0.95, 1.0, 1.05, 1.1];
y = [0.175467, 0.25858, -0.0171417, 0.220065, 0.226045];
k = c(1);
s = c(2);
% Definizione della funzione MV
L = 1/(2*pi*s)^2.5*exp(-0.5/s*sum((y - k*x + k^2*x.^2).^2));
% Per calcolare il massimo della MV utilizzando "fminsearch" dobbiamo
% cambiare segno alla funzione MV
L = -L;