% In questo M-file si effettua la regressione multilineare per il modello:
%
%      y = a + b*x + c*x^2
%
% Si suppone varianza dell'errore uguale per ogni esperimento.
% Si procede calcolando l'inverso della matrice (X'*X).
% I dati si trovano nel file "datiMultiL.txt"
%
clear all
clc
% Caricamento dei dati
dati = load('datiMultiL.txt');

% Generazione della matrice X
X = [ones(length(dati),1),dati(:,1),dati(:,1).^2];

% Generazione del vettore y
y = dati(:,2);

% Calcolo della stima dei parametri attraverso l'inversa di una matrice
theta = inv(X'*X)*(X'*y)

