% In questo M-file si effettua la regressione multilineare per il modello:
%
%      y = a + b*x + c*x^2
%
% Si suppone varianza dell'errore uguale per ogni esperimento.
% Si procede risolvendo un sistema di equazioni lineari.
% I dati si trovano nel file "datiMultiL.txt"
%
clear all
clc
% Caricamento dei dati
dati = load('datiMultiL.txt');

% Generazione della matrice X
X = [ones(length(dati),1),dati(:,1),dati(:,1).^2];

% Generazione del vettore y
y = dati(:,2);

% Il sistema da risolvere  del tipo A*theta = c
% Calcolo di A
A = (X'*X);
% Calcolo di c
c = X'*y;

% Risoluzione del sistema e calcolo di theta
theta = A\c

